function remove1() {
    try {
        function hideElements() {
            var elements = document.querySelectorAll('DIV.txc-recommend__banner, P.txc-recommend__notice-wrap, A.power_by-link, svg.tcIcon_logo');
            if (elements.length > 0) {
                elements.forEach(function(element) {
                    element.style.display = 'none';
                });
                console.log('Elements hidden');
            }
        }
        hideElements();
        var observer = new MutationObserver(function(mutations) {
            mutations.forEach(function(mutation) {
                hideElements();
            });
        });
        var config = { childList: true, subtree: true };
        observer.observe(document.body, config);
    } catch (e) {
        console.error('Error in script:', e);
    }
}


function remove2() {
    try {
        var maxAttempts = 5;
        var attempts = 0;
        var interval = setInterval(function() {
            attempts++;
            var elements = document.querySelectorAll('IMG.page-login__logo,DIV.page-login__slogan,A.power_by-link,svg.tcIcon_logo');
            if (elements.length > 0) {
                elements.forEach(function(element) {
                    element.style.display = 'none';
                });
                clearInterval(interval);
            }
            if (attempts >= maxAttempts) {
                clearInterval(interval);
                console.log('Max attempts reached, stopping interval');
            }
        }, 200);
    } catch (e) {
        console.error('Error in script:', e);
    }
} 


function remove3() {
    try {
        var maxAttempts = 5;
        var attempts = 0;
        var interval = setInterval(function() {
            attempts++;
            var elements = document.querySelectorAll('DIV.mobile-login__card-item');
            if (elements.length > 0) {
                elements.forEach(function(element) {
                    var titleElement = element.querySelector('span');
                    if (titleElement && (titleElement.textContent === "QQ账号" || titleElement.textContent === "微信账号")) {
                        element.style.display = 'none';
                    }
                });
                clearInterval(interval);
            }
            if (attempts >= maxAttempts) {
                clearInterval(interval);
            }
        }, 200);
    } catch (e) {
        console.error('Error in script:', e);
    }
} 


function remove4() {
    try {
        var maxAttempts = 5;
        var attempts = 0;
        var interval = setInterval(function() {
            attempts++;
            var elements = document.querySelectorAll('DIV.i-want-form__notice,A.power_by-link,svg.tcIcon_logo');
            if (elements.length > 0) {
                elements.forEach(function(element) {
                    element.style.display = 'none';
                });
                clearInterval(interval);
            }
            if (attempts >= maxAttempts) {
                clearInterval(interval);
                console.log('Max attempts reached, stopping interval');
            }
        }, 200);
    } catch (e) {
        console.error('Error in script:', e);
    }
} 


function clickOnce() {
    try {
        var maxAttempts = 5;
        var attempts = 0;
        var interval = setInterval(function() {
            attempts++;
            var checkbox = document.querySelector('SPAN.t-checkbox__input');
            if (checkbox) {
                checkbox.click();
                console.log("Checkbox clicked");
                clearInterval(interval);
            }
            if (attempts >= maxAttempts) {
                clearInterval(interval);
                console.log("Max attempts reached, stopping interval");
            }
        }, 200);
    } catch (e) {
        console.error('Error in script:', e);
    }
}
